%define name xpenguins_applet
%define version 0.9
%define release 0.1mdk
%define tarrelease beta1

Summary: GNOME panel applet implementation of xpenguins
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}%{tarrelease}.tar.bz2
License: GPL
Group: Toys
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: gnome-core-devel perl
Requires: gnome-core

%description
The xpenguins applet sits in your GNOME panel and when you click the
`play' button, will animates a number of penguins that fall from the
top of the screen, walk along the top of windows, up the side of
windows, up the side of the screen, and sometimes even levitate with
their genetically-modified go-go-gadget 'copter ability. You can
change the speed and number of the penguins from the `Properties'
window. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}%{tarrelease}
perl -p -i -e "s/#include <config.h>//" *.c

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix} ETC=$RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README INSTALL ChangeLog
%config(noreplace) %{_sysconfdir}/CORBA/servers/xpenguins_applet.gnorba
%{_bindir}/xpenguins_applet
%{_datadir}/applets/Amusements/xpenguins_applet.desktop
%{_datadir}/pixmaps/gnome-xpenguins.png

%changelog
* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9-0.1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
